# $Revision: 1.21 $, $Date: 2007/06/14 18:29:59 $
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	C++ bindings for the ORBit Corba ORB
Summary(pl.UTF-8):	Powiązania C++ dla ORBit Corba ORB
Name:		orbitcpp
Version:	1.3.9
Release:	2
License:	GPL
Group:		Applications/Engineering
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/orbitcpp/1.3/%{name}-%{version}.tar.bz2
# Source0-md5:	ef1594819cf62fc2dad6e0a1cc4cb578
URL:		http://orbitcpp.sourceforge.net/
BuildRequires:	ORBit2-devel >= 1:2.8.2
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake
BuildRequires:	libIDL-devel >= 0.8.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orbitcpp is a project to develop C++ bindings for the ORBit Corba ORB.

%description -l pl.UTF-8
Orbitcpp to projekt umożliwiający tworzenie powiązań C++ dla ORBit
Corba ORB.

%package devel
Summary:	Header files and utilities for orbitcpp
Summary(pl.UTF-8):	Pliki nagłówkowe i użytki dla orbitcpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ORBit2-devel >= 1:2.8.2
Requires:	libIDL-devel >= 0.8.2
Requires:	libstdc++-devel

%description devel
Orbitcpp is a project to develop C++ bindings for the ORBit Corba ORB.

This package includes the header files and utilities neecessary to
write programs that use orbitcpp.

%description devel -l pl.UTF-8
Orbitcpp to projekt umożliwiający tworzenie powiązań C++ dla ORBit
Corba ORB.

Ten pakiet zawiera pliki nagłówkowe oraz użytki potrzebne do pisania
programów używających orbitcpp.

%package static
Summary:	Static orbitcpp library
Summary(pl.UTF-8):	Statyczna biblioteka orbitcpp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Orbitcpp is a project to develop C++ bindings for the ORBit Corba ORB.

This package includes static library neecessary to write programs
statically linked that use CORBA technology.

%description static -l pl.UTF-8
Orbitcpp to projekt umożliwiający tworzenie powiązań C++ dla ORBit
Corba ORB.

Ten pakiet zawiera bibliotekę statyczną potrzebną do pisania
konsolidowanych statycznie programów używających technologii CORBA.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
# -i is workaround for am problems in tests
%{__automake} -i
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed for ORBit2 backends
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/idl-backends/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/orbit-2.0/idl-backends
%attr(755,root,root) %{_libdir}/orbit-2.0/idl-backends/*.so*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/orbitcpp-*
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: orbitcpp.spec,v $
Revision 1.21  2007/06/14 18:29:59  arekm
- rel 2

Revision 1.20  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.18  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.17  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.16  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.15  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.14  2005/06/11 22:29:54  zbyniu
- BR: libstdc++-devel, R: libstdc++-devel in -devel

Revision 1.13  2004/05/19 18:54:19  qboosh
- updated to 1.3.9

Revision 1.12  2004/05/13 10:39:28  qboosh
- rebuild ac/am/lt (should fix build on amd64); release 2

Revision 1.11  2004/05/07 16:53:31  qboosh
- strict internal deps, fixed libIDL BR, cosmetics

Revision 1.10  2003/11/10 14:30:08  grzegol
- updated to 1.3.8
- removed outdated gcc33 patch

Revision 1.9  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.8  2003/10/09 13:04:26  qboosh
- added versions to -devel deps, removed backend *.{a,la}

Revision 1.7  2003/08/24 16:31:42  grzegol
- updated to 1.3.7

Revision 1.6  2003/08/01 12:00:39  grzegol
- rel. 2 to rebuild without linc
- added gcc33 patch (workaround but works)

Revision 1.5  2003/07/23 22:28:20  adamg
- updated to 1.3.6

Revision 1.4  2003/05/28 13:00:09  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/10 00:41:14  grzegol
- updated to 1.3.5

Revision 1.1  2003/03/01 15:24:02  mkierus
- initial release
